Bug 1286673 - Review Request: perl-MouseX-Foreign - Extends non-Mouse classes as well as Mouse classes
Review Request: perl-MouseX-Foreign - Extends non-Mouse classes as well as Mo...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1268805
  Show dependency treegraph
 
Reported: 2015-11-30 08:24 EST by Petr Pisar
Modified: 2016-02-16 10:23 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-MouseX-Foreign-1.000-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 10:23:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-11-30 08:24:25 EST
Spec URL: https://ppisar.fedorapeople.org/perl-MouseX-Foreign/perl-MouseX-Foreign.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-MouseX-Foreign/perl-MouseX-Foreign-1.000-1.fc24.src.rpm
Description:
MouseX::Foreign Perl module provides an ability for Mouse classes to extend
any classes, including non-Mouse classes, including Moose classes.

Fedora Account System Username: ppisar
Comment 1 Petr Šabata 2015-11-30 11:03:48 EST
* Missing a test dependency: Mouse::Exporter
  t/90-MooseX-NonMoose/031-moose-exporter.t:11
  t/90-MooseX-NonMoose/031-moose-exporter.t:25
  t/91-90-with-Any-Moose/031-moose-exporter.t:11
  t/91-90-with-Any-Moose/031-moose-exporter.t:25

* Consider declaring the minimum M::B version requirement, v0.38.

No other issues.
Comment 2 Petr Pisar 2015-12-01 01:24:05 EST
(In reply to Petr Šabata from comment #1)
> * Missing a test dependency: Mouse::Exporter
>   t/90-MooseX-NonMoose/031-moose-exporter.t:11
>   t/90-MooseX-NonMoose/031-moose-exporter.t:25
>   t/91-90-with-Any-Moose/031-moose-exporter.t:11
>   t/91-90-with-Any-Moose/031-moose-exporter.t:25
> 
You are right. I thought I put it down there.

> * Consider declaring the minimum M::B version requirement, v0.38.
> 
Module::Build has a long history of variable version string length. E.g., current one is 0.4214. Until version normalization is in effect, it does not make sense to put the version there. Therefore I keep it without version.

Updated package is on the same address.
Comment 3 Petr Šabata 2015-12-01 04:14:30 EST
(In reply to Petr Pisar from comment #2)
> (In reply to Petr Šabata from comment #1)
> > * Missing a test dependency: Mouse::Exporter
> >   t/90-MooseX-NonMoose/031-moose-exporter.t:11
> >   t/90-MooseX-NonMoose/031-moose-exporter.t:25
> >   t/91-90-with-Any-Moose/031-moose-exporter.t:11
> >   t/91-90-with-Any-Moose/031-moose-exporter.t:25
> > 
> You are right. I thought I put it down there.

Added.

> > * Consider declaring the minimum M::B version requirement, v0.38.
> > 
> Module::Build has a long history of variable version string length. E.g.,
> current one is 0.4214. Until version normalization is in effect, it does not
> make sense to put the version there. Therefore I keep it without version.
> 
> Updated package is on the same address.

Yes, I know but I had to mention it anyway :)

--

Approving.  By the way, I'll need this in F23; please, build it for it as well.  Do not issue an update, though.  I'll push it together with the new App::Cmd and Dist::Zilla.
Comment 4 Gwyn Ciesla 2015-12-01 08:24:21 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-MouseX-Foreign
Comment 5 Petr Pisar 2015-12-01 09:43:51 EST
Thank you for the review and the repository.

I added perl-MouseX-Foreign-1.000-1.fc23 to build root, in order to allow to rebase the perl-App-Cmd. Please, append it to its update request.
Comment 6 Petr Pisar 2015-12-01 09:53:03 EST
(In reply to Petr Pisar from comment #5)
> Please, append it to its update request.

I will do it.
Comment 7 Fedora Update System 2015-12-01 10:20:28 EST
perl-App-Cmd-0.330-1.fc23 perl-Dist-Zilla-5.042-1.fc23 perl-MouseX-App-Cmd-0.30-5.fc23 perl-MouseX-Foreign-1.000-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-002c1b2c78
Comment 8 Fedora Update System 2015-12-01 10:20:30 EST
perl-App-Cmd-0.330-1.fc23 perl-Dist-Zilla-5.042-1.fc23 perl-MouseX-App-Cmd-0.30-5.fc23 perl-MouseX-Foreign-1.000-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-002c1b2c78
Comment 9 Fedora Update System 2015-12-01 17:31:11 EST
perl-App-Cmd-0.330-1.fc23, perl-Dist-Zilla-5.042-1.fc23, perl-MouseX-App-Cmd-0.30-5.fc23, perl-MouseX-Foreign-1.000-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-MouseX-App-Cmd perl-MouseX-Foreign perl-Dist-Zilla perl-App-Cmd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-002c1b2c78
Comment 10 Fedora Update System 2015-12-10 20:51:08 EST
perl-App-Cmd-0.330-1.fc23, perl-Dist-Zilla-5.042-1.fc23, perl-MouseX-App-Cmd-0.30-5.fc23, perl-MouseX-Foreign-1.000-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.